List webhook deliveries
curl --request GET \
--url https://api.ando.so/v1/webhook-deliveries \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.ando.so/v1/webhook-deliveries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.ando.so/v1/webhook-deliveries"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"items": [
{
"object": "webhook_delivery",
"id": "whd_01jzn7e61x3a7v9h2r7t2m3q4p",
"workspace_id": "workspace_01jzn7e61x3a7v9h2r7t2m3q4p",
"endpoint_id": "wep_01jzn7e61x3a7v9h2r7t2m3q4p",
"endpoint_url": "https://example.com/ando/webhooks",
"endpoint_status": "active",
"endpoint_enabled_events": [
"webhook.test",
"message.created",
"message.updated",
"conversation.membership.created",
"conversation.archived",
"conversation.unarchived",
"call.started",
"call.ended",
"call.updated",
"call.transcript.updated"
],
"endpoint_signing_secret_prefix": "example",
"event_id": "whe_01jzn7e61x3a7v9h2r7t2m3q4p",
"event_type": "webhook.test",
"api_version": "2026-07-13",
"status": "scheduled",
"attempt_count": 0,
"max_attempts": 8,
"next_attempt_at": "2026-05-27T08:00:00.000Z",
"first_attempted_at": null,
"last_attempted_at": null,
"succeeded_at": null,
"failed_at": null,
"last_http_status": null,
"last_error_code": null,
"last_error_message": null,
"replayable": false,
"created_at": "2026-05-27T08:00:00.000Z",
"updated_at": "2026-05-27T08:00:00.000Z"
}
],
"page_info": {
"has_next_page": true,
"next_cursor": "opaque-webhook-delivery-cursor"
}
},
"items": [
{
"object": "webhook_delivery",
"id": "whd_01jzn7e61x3a7v9h2r7t2m3q4p",
"workspace_id": "workspace_01jzn7e61x3a7v9h2r7t2m3q4p",
"endpoint_id": "wep_01jzn7e61x3a7v9h2r7t2m3q4p",
"endpoint_url": "https://example.com/ando/webhooks",
"endpoint_status": "active",
"endpoint_enabled_events": [
"webhook.test",
"message.created",
"message.updated",
"conversation.membership.created",
"conversation.archived",
"conversation.unarchived",
"call.started",
"call.ended",
"call.updated",
"call.transcript.updated"
],
"endpoint_signing_secret_prefix": "example",
"event_id": "whe_01jzn7e61x3a7v9h2r7t2m3q4p",
"event_type": "webhook.test",
"api_version": "2026-07-13",
"status": "scheduled",
"attempt_count": 0,
"max_attempts": 8,
"next_attempt_at": "2026-05-27T08:00:00.000Z",
"first_attempted_at": null,
"last_attempted_at": null,
"succeeded_at": null,
"failed_at": null,
"last_http_status": null,
"last_error_code": null,
"last_error_message": null,
"replayable": false,
"created_at": "2026-05-27T08:00:00.000Z",
"updated_at": "2026-05-27T08:00:00.000Z"
}
]
}{
"error": "<string>",
"error_code": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": "<string>",
"error_code": "<string>",
"missing_scopes": [
"<string>"
]
}List webhook deliveries
Lists webhook deliveries with optional endpoint, event, status, and creation-time filters.
GET
https://api.ando.so/v1
/
webhook-deliveries
List webhook deliveries
curl --request GET \
--url https://api.ando.so/v1/webhook-deliveries \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.ando.so/v1/webhook-deliveries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.ando.so/v1/webhook-deliveries"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"items": [
{
"object": "webhook_delivery",
"id": "whd_01jzn7e61x3a7v9h2r7t2m3q4p",
"workspace_id": "workspace_01jzn7e61x3a7v9h2r7t2m3q4p",
"endpoint_id": "wep_01jzn7e61x3a7v9h2r7t2m3q4p",
"endpoint_url": "https://example.com/ando/webhooks",
"endpoint_status": "active",
"endpoint_enabled_events": [
"webhook.test",
"message.created",
"message.updated",
"conversation.membership.created",
"conversation.archived",
"conversation.unarchived",
"call.started",
"call.ended",
"call.updated",
"call.transcript.updated"
],
"endpoint_signing_secret_prefix": "example",
"event_id": "whe_01jzn7e61x3a7v9h2r7t2m3q4p",
"event_type": "webhook.test",
"api_version": "2026-07-13",
"status": "scheduled",
"attempt_count": 0,
"max_attempts": 8,
"next_attempt_at": "2026-05-27T08:00:00.000Z",
"first_attempted_at": null,
"last_attempted_at": null,
"succeeded_at": null,
"failed_at": null,
"last_http_status": null,
"last_error_code": null,
"last_error_message": null,
"replayable": false,
"created_at": "2026-05-27T08:00:00.000Z",
"updated_at": "2026-05-27T08:00:00.000Z"
}
],
"page_info": {
"has_next_page": true,
"next_cursor": "opaque-webhook-delivery-cursor"
}
},
"items": [
{
"object": "webhook_delivery",
"id": "whd_01jzn7e61x3a7v9h2r7t2m3q4p",
"workspace_id": "workspace_01jzn7e61x3a7v9h2r7t2m3q4p",
"endpoint_id": "wep_01jzn7e61x3a7v9h2r7t2m3q4p",
"endpoint_url": "https://example.com/ando/webhooks",
"endpoint_status": "active",
"endpoint_enabled_events": [
"webhook.test",
"message.created",
"message.updated",
"conversation.membership.created",
"conversation.archived",
"conversation.unarchived",
"call.started",
"call.ended",
"call.updated",
"call.transcript.updated"
],
"endpoint_signing_secret_prefix": "example",
"event_id": "whe_01jzn7e61x3a7v9h2r7t2m3q4p",
"event_type": "webhook.test",
"api_version": "2026-07-13",
"status": "scheduled",
"attempt_count": 0,
"max_attempts": 8,
"next_attempt_at": "2026-05-27T08:00:00.000Z",
"first_attempted_at": null,
"last_attempted_at": null,
"succeeded_at": null,
"failed_at": null,
"last_http_status": null,
"last_error_code": null,
"last_error_message": null,
"replayable": false,
"created_at": "2026-05-27T08:00:00.000Z",
"updated_at": "2026-05-27T08:00:00.000Z"
}
]
}{
"error": "<string>",
"error_code": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"missing_scopes": [
"<string>"
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": "<string>",
"error_code": "<string>",
"missing_scopes": [
"<string>"
]
}Authorizations
AndoApiKeyBearerApiKey
Workspace API key. Current accepted keys use the ando_sk_ prefix.
Query Parameters
Filter by webhook endpoint identifier.
Filter by webhook event identifier.
Filter by delivery status.
Return deliveries created after this timestamp.
Return deliveries created before this timestamp.
Opaque cursor returned by data.page_info.next_cursor. Reuse it with identical filters.
Maximum number of deliveries to return.
Required range:
1 <= x <= 10⌘I